pythonXX.dll size: please split CJK codecs out

Thomas Heller theller at python.net
Mon Aug 22 08:36:17 CEST 2005


"Martin v. Löwis" <martin at v.loewis.de> writes:

> Ron Adam wrote:
>> I would put the starting minimum boundary as:
>> 
>>    1. "The minimum required to start the python interpreter with no
>> additional required files."
>> 
>> Currently python 2.4 (on windows) does not yet meet that guideline, so
>> it seems some modules still need to be added while other modules, (I
>> haven't checked which), are probably not needed to meet that guideline.
>
> I'm not sure, either, but I *think* python24 won't load any .pyd file
> on interactive startup.

That seems to be true.  But it will need zlib.pyd as soon if you try to
import from compressed zips.  So, zlib can be thought as part of the
modules required for bootstrap.

Thomas



More information about the Python-list mailing list